Xerces-C++ 3.2.4

Public Member Functions | List of all members
TranscodeToStr Class Reference

`#include <xercesc/util/TransService.hpp>`

## Public Member Functions
| TranscodeToStr (const XMLCh *in, const char *encoding, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding. More...
| TranscodeToStr (const XMLCh *in, XMLSize_t length, const char *encoding, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding. More...
| TranscodeToStr (const XMLCh *in, XMLTranscoder *trans, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding. More...
| TranscodeToStr (const XMLCh *in, XMLSize_t length, XMLTranscoder *trans, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the internal XMLCh* encoding to the specified encoding. More...
| ~TranscodeToStr ()

## Getter methods
const XMLByte * | str () const
| Returns the transcoded, null terminated string. More...
XMLByte * | adopt ()
| Returns the transcoded, null terminated string - adopting the memory allocated to it from the TranscodeToStr object. More...
XMLSize_t | length () const
| Returns the length of the transcoded string in bytes. More...

## Constructor & Destructor Documentation

## ◆ TranscodeToStr() [1/4]

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | const char * | encoding,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters

  in | the null terminated source buffer to be transcoded
  encoding | the name of the encoding to transcode to
  manager | the memory manager to use

## ◆ TranscodeToStr() [2/4]

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | XMLSize_t | length,
|  | const char * | encoding,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters

  in | the source buffer to be transcoded
  length | the length of the source buffer
  encoding | the name of the encoding to transcode to
  manager | the memory manager to use

## ◆ TranscodeToStr() [3/4]

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | XMLTranscoder * | trans,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters

  in | the null terminated source buffer to be transcoded
  trans | the transcoder to use
  manager | the memory manager to use

## ◆ TranscodeToStr() [4/4]

TranscodeToStr::TranscodeToStr | ( | const XMLCh * | in,
|  | XMLSize_t | length,
|  | XMLTranscoder * | trans,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Converts from the internal XMLCh* encoding to the specified encoding.

Parameters

  in | the source buffer to be transcoded
  length | the length of the source buffer
  trans | the transcoder to use
  manager | the memory manager to use

## ◆ ~TranscodeToStr()

TranscodeToStr::~TranscodeToStr | ( |  | ) |

## Member Function Documentation

## ◆ adopt()

XMLByte * TranscodeToStr::adopt | ( |  | ) |

Returns the transcoded, null terminated string - adopting the memory allocated to it from the TranscodeToStr object.

Returns
  the transcoded string

## ◆ length()

XMLSize_t TranscodeToStr::length | ( |  | ) | const

Returns the length of the transcoded string in bytes.

The length does not include the null terminator.

Returns
  the length of the transcoded string in bytes

## ◆ str()

const XMLByte * TranscodeToStr::str | ( |  | ) | const

Returns the transcoded, null terminated string.

Returns
  the transcoded string

The documentation for this class was generated from the following file:

- TransService.hpp